"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const zignis_1 = require("zignis");
exports.command = 'list <dbKey>';
exports.desc = 'list all table of specific database';
exports.aliases = ['l', 'ls'];
exports.builder = function (yargs) { };
exports.handler = function (argv) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const { db } = yield zignis_1.Utils.invokeHook('components');
            let dbInstance;
            try {
                dbInstance = yield db.load(argv.dbKey);
            }
            catch (e) {
                zignis_1.Utils.error(e.message);
            }
            const queryInterface = dbInstance.getQueryInterface();
            const tables = yield queryInterface.showAllTables();
            tables.forEach(function (table) {
                console.log(table);
            });
            process.exit(0);
        }
        catch (e) {
            zignis_1.Utils.error(e.stack);
        }
    });
};
