"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const zignis_1 = require("zignis");
exports.command = 'elasticsearch <op>';
exports.desc = 'zhike elasticsearch tools';
exports.aliases = 'es';
exports.builder = function (yargs) {
    yargs.option('params', { default: {}, describe: 'Please reference client.cat.indices', alias: 'p' });
    yargs.option('debug', { describe: 'Show debug info' });
    // yargs.commandDir('es')
};
exports.handler = function (argv) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            if (argv.debug) {
                zignis_1.Utils.log(argv);
            }
            const { elasticsearch } = yield zignis_1.Utils.invokeHook('components');
            const client = yield elasticsearch();
            const func = zignis_1.Utils._.get(client, argv.op);
            if (zignis_1.Utils._.isFunction(func)) {
                const ret = yield func(argv.params);
                zignis_1.Utils.log(ret.body);
            }
            else {
                zignis_1.Utils.error('Invalid elasticsearch api function name, please refer to: https://www.elastic.co/guide/en/elasticsearch/client/javascript-api/current/api-reference.html');
            }
        }
        catch (e) {
            return zignis_1.Utils.error(e.stack);
        }
    });
};
