"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const zignis_1 = require("zignis");
exports.command = 'k8s <op> [keyword]';
exports.desc = `zhike k8s tools`;
exports.aliases = ['kubectl'];
exports.builder = function (yargs) {
    yargs.option('namespace', {
        alias: 'n',
        default: 'c-dev',
        describe: 'k8s namespace, support c-dev/c-production'
    });
    yargs.option('binary', {
        default: '/usr/local/bin/kubectl',
        describe: 'k8s kubectl absolute path'
    });
    yargs.option('dev-config-path', {
        default: '~/.kube/config',
        describe: 'k8s dev config path'
    });
    yargs.option('prod-config-path', {
        default: '~/.kube/config',
        describe: 'k8s prod config path'
    });
    zignis_1.Utils.extendSubCommand('zhike/k8s', 'zignis-plugin-zhike', yargs, __dirname);
};
exports.handler = function (argv) { };
