"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const zignis_1 = require("zignis");
exports.command = 'list';
exports.desc = 'list queue names';
exports.aliases = 'ls';
exports.builder = function (yargs) { };
exports.handler = function (argv) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const { consul } = yield zignis_1.Utils.invokeHook('components');
            const config = yield consul.get('mq');
            const rows = [[zignis_1.Utils.chalk.green('Key'), zignis_1.Utils.chalk.green('Name'), zignis_1.Utils.chalk.green('Region')]];
            Object.keys(config.mq.aliMns).forEach(key => {
                if (zignis_1.Utils._.isObject(config.mq.aliMns[key])) {
                    rows.push([zignis_1.Utils.chalk.cyan(key), config.mq.aliMns[key].name, config.mq.aliMns[key].region]);
                }
            });
            console.log(zignis_1.Utils.table(rows));
            process.exit(0);
        }
        catch (e) {
            return zignis_1.Utils.error(e.stack);
        }
    });
};
