"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const zignis_1 = require("zignis");
const mq_1 = __importDefault(require("../../../common/mq"));
exports.command = 'peek <queueName>';
exports.desc = 'show top message on the queue';
exports.builder = function (yargs) { };
exports.handler = function (argv) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const queue = yield mq_1.default(argv.queueName);
            let ret;
            try {
                ret = yield queue.peekP(1);
            }
            catch (e) {
                zignis_1.Utils.error(e.Error.Message);
            }
            zignis_1.Utils.log(ret);
            process.exit(0);
        }
        catch (e_1) {
            return zignis_1.Utils.error(e_1.stack);
        }
    });
};
