"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const zignis_1 = require("zignis");
const oss_1 = __importDefault(require("../../../common/oss"));
const path_1 = __importDefault(require("path"));
exports.command = 'get <fileName> <filePath>';
exports.desc = 'get oss file';
exports.aliases = 'download';
exports.builder = function (yargs) { };
exports.handler = function (argv) {
    return __awaiter(this, void 0, void 0, function* () {
        argv.prefix = argv.prefix ? argv.prefix.replace(/^\/+/, '') : '';
        argv.filePath = argv.filePath === '.' ? './' : argv.filePath;
        // 确保目标目录存在
        let filePath = path_1.default.resolve(argv.filePath);
        let dir = filePath;
        if (argv.filePath[argv.filePath.length - 1] !== '/') {
            dir = path_1.default.dirname(filePath);
        }
        zignis_1.Utils.fs.ensureDirSync(dir);
        // 构造文件名
        if (argv.filePath[argv.filePath.length - 1] === '/') {
            filePath = `${filePath}/${path_1.default.basename(argv.fileName)}`;
        }
        try {
            const client = yield oss_1.default();
            const result = yield client.get(argv.fileName, filePath);
            if (result.res.status === 200) {
                zignis_1.Utils.log(zignis_1.Utils.chalk.green(`${argv.fileName} downloaded to ${argv.filePath} successfully!`));
            }
            process.exit(0);
        }
        catch (e) {
            zignis_1.Utils.error(e.stack);
        }
    });
};
