import { Sequelize, Model, Op } from 'sequelize';
declare class DatabaseLoader {
    options: {
        [propName: string]: any;
    };
    instances: {
        [propName: string]: any;
    };
    constructor(options: {
        [propName: string]: any;
    });
    readonly Sequelize: typeof Sequelize;
    readonly Op: typeof Op;
    /**
     * 获取数据库配置，可以直接被 Sequelize CLI 解析
     * @param {string|array} consulKey
     */
    config(consulKey: string | string[]): Promise<any>;
    /**
     * 实例化数据库连接，数据库配置可以从 consul 取，也可以直接传给 load 方法
     * @param {string|array} consulKey
     * @param {string} instanceKey
     * @param {function} callback
     */
    load(consulKey: string | {
        [propName: string]: any;
    }, instanceKey: any, callback: any, opts?: any): Promise<any>;
    /**
     * 处理模型的关联关系
     * @param {string} modelPath
     */
    associate(modelPath: string): (models: {
        [key: string]: typeof Model;
    }, sequelize: Sequelize) => void;
}
export = DatabaseLoader;
