"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const ali_mns_1 = __importDefault(require("ali-mns"));
const zignis_1 = require("zignis");
const queues = {};
const mq = (queueName) => __awaiter(void 0, void 0, void 0, function* () {
    if (!queueName) {
        throw new Error('queueName is necessary!');
    }
    if (queues[queueName]) {
        return queues[queueName];
    }
    const { consul } = yield zignis_1.Utils.invokeHook('components');
    const config = yield consul.get('mq');
    const accountId = config.mq.aliMns.accountId;
    const accessKeyId = config.mq.aliMns.accessKeyId;
    const accessKeySecret = config.mq.aliMns.accessKeySecret;
    const account = new ali_mns_1.default.Account(accountId, accessKeyId, accessKeySecret);
    queues[queueName] = new ali_mns_1.default.MQ(config.mq.aliMns[queueName].name, account, config.mq.aliMns[queueName].region);
    return queues[queueName];
});
module.exports = mq;
