"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const zignis_1 = require("zignis");
const ali_oss_1 = __importDefault(require("ali-oss"));
let client = null;
const oss = () => __awaiter(void 0, void 0, void 0, function* () {
    if (client) {
        return client;
    }
    const { consul } = yield zignis_1.Utils.invokeHook('components');
    const { oss } = yield consul.get('oss');
    client = new ali_oss_1.default({
        accessKeyId: oss.key,
        accessKeySecret: oss.secret,
        endpoint: oss.endpoint,
        bucket: oss.bucket
    });
    return client;
});
module.exports = oss;
